package com.outbrain.catalog.GDPR;

import android.os.Bundle;

import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.outbrain.catalog.GDPR.callbacks.OnCloseCallback;
import com.outbrain.catalog.GDPR.model.CMPSettings;
import com.outbrain.catalog.GDPR.model.SubjectToGdpr;
import com.outbrain.catalog.GDPR.storage.CMPStorage;
import com.outbrain.catalog.R;

public class GDPRActivity extends AppCompatActivity {

    private TextView gdprInfoTextView;
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_gdpr);

        Button gdprButton = findViewById(R.id.gdpr_button);
        gdprInfoTextView = findViewById(R.id.gdpr_info_text_view);

        gdprButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CMPStorage.setCmpPresentValue(GDPRActivity.this, true);
                CMPSettings cmpSettings = new CMPSettings(SubjectToGdpr.CMPGDPREnabled, "https://demofiles.smaato.com/cmp/index.html", null);

                CMPConsentToolActivity.openCmpConsentToolView(cmpSettings, GDPRActivity.this, new OnCloseCallback() {
                    @Override
                    public void onWebViewClosed() {
                        Toast.makeText(GDPRActivity.this, "Got consent", Toast.LENGTH_LONG).show();

                        gdprInfoTextView.setText(getGdprInfo());
                    }
                });
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
        gdprInfoTextView.setText(getGdprInfo());
    }

    private String getGdprInfo() {
        return String.format("CmpPresent:\n %s\n\nsubjectToGDPR:\n %s\n\nconsentString:\n %s\n\npurposes:\n %s\n\nvendors:\n %s\n\nOutbrain vendor:\n %s",
                CMPStorage.getCmpPresentValue(this),
                CMPStorage.getSubjectToGdpr(this),
                CMPStorage.getConsentString(this),
                CMPStorage.getPurposesString(this),
                CMPStorage.getVendorsString(this),
                CMPStorage.isVendorConsentGivenForVendorId(this, 164)
                );
    }
}